path: /build/build/prison-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test qml" emerge kde-frameworks/prison:5 -pv -t && \
    USE="-doc -test qml" emerge -j ${JOBS} --nodeps kde-frameworks/prison:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/prison && luet-portage --dir /pkgdir/prison
    kde-frameworks/prison:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ba5f696722e4bd9be7fc372a0a878fb7daaf2203b3c9a0cf86be723172365c5d
  package:
    name: prison
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    - qml
    requires:
    - name: zxing-cpp
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: QRCode and data matrix barcode library
    uri:
    - https://invent.kde.org/frameworks/prison
    license: GPL-2
    buildtimestamp: 2024-02-12 20:00:34.658911521 +0000 UTC m=+116.049498152
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
        doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtmultimedia-5.15.1:5 media-gfx/qrencode:=
        media-libs/libdmtx media-libs/zxing-cpp qml? ( >=dev-qt/qtdeclarative-5.15.1:5
        ) test? ( >=dev-qt/qtwidgets-5.15.1:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        ) dev-util/desktop-file-utils'
      IUSE: qml debug doc test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtmultimedia-5.15.1:5 media-gfx/qrencode:=
        media-libs/libdmtx media-libs/zxing-cpp qml? ( >=dev-qt/qtdeclarative-5.15.1:5
        ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 )'
      emerge.packages: kde-frameworks/prison:5
      kit: kde-kit
      original.package.name: kde-frameworks/prison
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/prison
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 27bfea93e9ea5f60d2f2c4be4f22ac98fe4ffc7e674e91080abcc0c0a4b4b4ac
compressiontype: zstd
files:
- usr/include/KF5/Prison/Prison/AbstractBarcode
- usr/include/KF5/Prison/Prison/Prison
- usr/include/KF5/Prison/Prison/abstractbarcode.h
- usr/include/KF5/Prison/Prison/prison.h
- usr/include/KF5/Prison/Prison/prison_export.h
- usr/include/KF5/Prison/prison/AbstractBarcode
- usr/include/KF5/Prison/prison/Prison
- usr/include/KF5/Prison/prison/abstractbarcode.h
- usr/include/KF5/Prison/prison/prison.h
- usr/include/KF5/Prison/prison/prison_export.h
- usr/include/KF5/Prison/prison/prison_version.h
- usr/include/KF5/Prison/prison_version.h
- usr/include/KF5/PrisonScanner/Prison/Format
- usr/include/KF5/PrisonScanner/Prison/ScanResult
- usr/include/KF5/PrisonScanner/Prison/VideoScanner
- usr/include/KF5/PrisonScanner/Prison/format.h
- usr/include/KF5/PrisonScanner/Prison/prisonscanner_export.h
- usr/include/KF5/PrisonScanner/Prison/scanresult.h
- usr/include/KF5/PrisonScanner/Prison/videoscanner.h
- usr/lib64/cmake/KF5Prison/KF5PrisonConfig.cmake
- usr/lib64/cmake/KF5Prison/KF5PrisonConfigVersion.cmake
- usr/lib64/cmake/KF5Prison/KF5PrisonTargets-gentoo.cmake
- usr/lib64/cmake/KF5Prison/KF5PrisonTargets.cmake
- usr/lib64/libKF5Prison.so
- usr/lib64/libKF5Prison.so.5
- usr/lib64/libKF5Prison.so.5.111.0
- usr/lib64/libKF5PrisonScanner.so
- usr/lib64/libKF5PrisonScanner.so.5
- usr/lib64/libKF5PrisonScanner.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_Prison.pri
- usr/lib64/qt5/qml/org/kde/prison/libprisonquickplugin.so
- usr/lib64/qt5/qml/org/kde/prison/qmldir
- usr/lib64/qt5/qml/org/kde/prison/scanner/libprisonscannerquickplugin.so
- usr/lib64/qt5/qml/org/kde/prison/scanner/qmldir
- usr/share/doc/prison-5.111.0/README.md.bz2
- usr/share/qlogging-categories5/prison.categories
- usr/share/qlogging-categories5/prison.renamecategories
- var/db/pkg/kde-frameworks/prison-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/prison-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/prison-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/prison-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/prison-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/prison-5.111.0/CHOST
- var/db/pkg/kde-frameworks/prison-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/prison-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/prison-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/prison-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/prison-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/prison-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/prison-5.111.0/EAPI
- var/db/pkg/kde-frameworks/prison-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/prison-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/prison-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/prison-5.111.0/IUSE
- var/db/pkg/kde-frameworks/prison-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/prison-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/prison-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/prison-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/prison-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/prison-5.111.0/PF
- var/db/pkg/kde-frameworks/prison-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/prison-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/prison-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/prison-5.111.0/SIZE
- var/db/pkg/kde-frameworks/prison-5.111.0/SLOT
- var/db/pkg/kde-frameworks/prison-5.111.0/USE
- var/db/pkg/kde-frameworks/prison-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/prison-5.111.0/prison-5.111.0.ebuild
- var/db/pkg/kde-frameworks/prison-5.111.0/repository
package_cacheimage: ""
runtime:
  name: prison
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  - qml
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtmultimedia
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  - name: qrencode
    version: '>=0'
    category: media-gfx
  - name: libdmtx
    version: '>=0'
    category: media-libs
  - name: zxing-cpp
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: QRCode and data matrix barcode library
  uri:
  - https://invent.kde.org/frameworks/prison
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
      doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtmultimedia-5.15.1:5 media-gfx/qrencode:=
      media-libs/libdmtx media-libs/zxing-cpp qml? ( >=dev-qt/qtdeclarative-5.15.1:5
      ) test? ( >=dev-qt/qtwidgets-5.15.1:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      ) dev-util/desktop-file-utils'
    IUSE: qml debug doc test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtmultimedia-5.15.1:5 media-gfx/qrencode:=
      media-libs/libdmtx media-libs/zxing-cpp qml? ( >=dev-qt/qtdeclarative-5.15.1:5
      ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 )'
    emerge.packages: kde-frameworks/prison:5
    kit: kde-kit
    original.package.name: kde-frameworks/prison
    original.package.slot: "5"
    original.package.version: 5.111.0
